(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8047,        253]
NotebookOptionsPosition[      7429,        231]
NotebookOutlinePosition[      7872,        248]
CellTagsIndexPosition[      7829,        245]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Unprotect", "[", "Arg", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Arg", "[", "0", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "Arg", "]"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Sin", "[", " ", 
       RowBox[{"2", " ", "\[Pi]", " ", "2", " ", "n", " ", "t"}], "]"}], 
      ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "10"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", 
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"5", " ", 
        RowBox[{"(", 
         RowBox[{"t", "-", "1"}], ")"}]}], ")"}], "^", "2"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4469732150625*^9, 3.44697322584375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "0", " ", "t"}], "]"}], "+", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "2", " ", "t"}], "]"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "0", " ", 
      RowBox[{"(", 
       RowBox[{"t", "-", 
        RowBox[{"1", "/", "4"}]}], ")"}]}], "]"}], "+", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"2", " ", "\[Pi]", " ", "2", " ", 
      RowBox[{"(", 
       RowBox[{"t", "-", 
        RowBox[{"1", "/", "4"}]}], ")"}]}], "]"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"UnitStep", "[", 
     RowBox[{"t", "-", 
      RowBox[{"1", "/", "2"}]}], "]"}], "-", 
    RowBox[{"UnitStep", "[", 
     RowBox[{"t", "-", 
      RowBox[{"3", "/", "2"}]}], "]"}]}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tmax", "=", "4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"nmax", "=", "256"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"delta", "=", 
    RowBox[{"tmax", "/", "nmax"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fdata", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{"f", "[", "t", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"tmax", "-", "delta"}], ",", "delta"}], "}"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"f", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
      RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], 
     "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"N", "[", 
           RowBox[{"f", "[", "t", "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"tmax", "-", "delta"}], ",", "delta"}], "}"}]}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"Joined", "\[Rule]", "False"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "0", ",", "0"}], "]"}], "}"}]}], ",", 
      RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], 
     "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], 
   "\[IndentingNewLine]", "]"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fftfdata", "=", 
    RowBox[{"Fourier", "[", "fdata", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"spfdata", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "/", 
         RowBox[{"(", 
          RowBox[{"nmax", " ", "delta"}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "nmax", "]"}], " ", "delta", " ", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"fftfdata", "[", 
            RowBox[{"[", 
             RowBox[{"n", "+", "1"}], "]"}], "]"}], "]"}], "/", "tmax"}]}]}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", 
        RowBox[{
         RowBox[{"Length", "[", "fftfdata", "]"}], "-", "1"}]}], "}"}]}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{"spfdata", ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"Joined", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "1"}], "]"}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aspfdata", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "/", 
         RowBox[{"(", 
          RowBox[{"nmax", " ", "delta"}], ")"}]}], ",", 
        RowBox[{"Arg", "[", 
         RowBox[{"Chop", "[", 
          RowBox[{"fftfdata", "[", 
           RowBox[{"[", 
            RowBox[{"n", "+", "1"}], "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", 
        RowBox[{
         RowBox[{"Length", "[", "fftfdata", "]"}], "-", "1"}]}], "}"}]}], 
     "]"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"aspfdata", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Joined", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "1", ",", "0"}], "]"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.446971179*^9, 3.446971213421875*^9}, {
   3.446971572171875*^9, 3.44697157259375*^9}, {3.446972758234375*^9, 
   3.446972776*^9}, {3.446973047234375*^9, 3.446973047640625*^9}, {
   3.44697309446875*^9, 3.44697309509375*^9}, {3.446973162125*^9, 
   3.446973178953125*^9}, {3.446973238265625*^9, 3.446973240125*^9}, {
   3.446974084921875*^9, 3.446974097609375*^9}, 3.446974261109375*^9, {
   3.44697429946875*^9, 3.446974339546875*^9}}]
},
WindowSize->{1157, 852},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 222, 6, 71, "Input"],
Cell[770, 28, 264, 7, 98, "Input"],
Cell[1037, 37, 351, 11, 43, "Input"],
Cell[1391, 50, 354, 12, 43, "Input"],
Cell[1748, 64, 293, 9, 43, "Input"],
Cell[2044, 75, 458, 14, 43, "Input"],
Cell[2505, 91, 301, 10, 43, "Input"],
Cell[2809, 103, 4616, 126, 719, "Input"]
}
]
*)

(* End of internal cache information *)
